Bug 790009 - repackage option still present in man page
repackage option still present in man page
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 08:37 EST by Gianluca Cecchi
Modified: 2014-01-21 01:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-02 16:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Cecchi 2012-02-13 08:37:43 EST
Description of problem:
As far as I read, repackage option is not available in rh el 6 and it should be substituted with 
- yum history and undo/redo functionalities
- yum-plugin-fs-snapshot functionality
but it is still present in yum man page

Version-Release number of selected component (if applicable):

yum-3.2.29-22.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. man yum.conf
2.
3.
  
Actual results:
tsflags  Comma  or  space separated list of transaction flags to
              pass to the rpm  transaction  set.  These  include  ’noscripts’,
              ’notriggers’,   ’nodocs’,  ’test’,  ’justdb’  and  ’nocontexts’.
              ’repackage’ is also available but that does nothing  with  newer
              rpm  versions.   You  can  set  all/any of them. However, if you
              don’t know what these do in the context of  an  rpm  transaction
              set you’re best leaving it alone. Default is an empty list.


Expected results:
no mention of repackage options

Additional info:

I initially searched for repackage options in RH EL 6 and came to this thread and its dependencies...
https://www.redhat.com/archives/rhelv6-beta-list/2010-June/msg00056.html

BTW: is yum-plugin-fs-snapshot available in RH EL 6.2? Is it supported/reccomended with LVM?
Comment 2 Gianluca Cecchi 2012-02-13 09:02:59 EST
Sorry, I misread the man page and indeed inside the phrases I reported there is

’repackage’ is also available but that does nothing  with  newer rpm  versions

Still it would be fine to have some KB related to this matter.
I only found these ones:
https://access.redhat.com/kb/docs/DOC-8139
https://access.redhat.com/kb/docs/DOC-2915

Thanks in advance,
Gianluca
Comment 3 Phil Knirsch 2012-02-23 09:18:59 EST
Hi Gianluca.

Regarding the fs-snapshot plugin we have a pretty extensive explanation of that in the deployment guide here:

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/Deployment_Guide/#sec-Plugin_Descriptions

Does this resolve your questions and concerns?

Thanks & regards, Phil
Comment 4 Gianluca Cecchi 2012-02-23 10:59:05 EST
Ok. For some reason I didn't find the plugin rpm when I posted the answer, so I was in doubt about where to find/enable it...

Now I tried again and I'm able to run without problems
 # yum install yum-plugin-fs-snapshot

The guide seems ok.
I'm going to test some scenarios.
Only by reading, two things on which I would elaborate are these ones:

- overall file systems layout of the entire system
The guide only say 
"In order for the plug-in to work, the root file system (that is, /) must be on an LVM (Logical Volume Manager) or Btrfs volume."

Actually this could lead to a problematic system if for example I have

/ on lvm
/usr in another file system (not necessarily on LVM)
/var in another file system (not necessarily on LVM)

or not?
If I decide to revert the changes, I will then have / with previous data, while /usr and /var with new updated data (eg the rpm database itself)... or not?

What if the 3 fs above are all on LVM? Will the update process create 3 snapshots allowing me to come back on all the three fs or not?

- btrfs
same doubts as with LVM 
+
In case of reverting changes I would add something like

d. Verify that the system is working as expected and then delete the subvolume of the unwanted update transaction (or something similar)

Gianluca
Comment 5 James Antill 2012-03-02 16:11:38 EST
 As the man page says, the repackage option is _available_ but does nothing in later versions of rpm. Not documenting it at all (removing it from the man page) doesn't seem like a great idea for RHEL-6 ... maybe worth it upstream before RHEL-7 though.

 The fs-snapshot plugin will create snapshots for all mount points that it can create snapshots for (currently LVM and btrfs). There is no native rollback/release support ... the plugin just creates the snapshots.

 If /foo is on LVM and /bar is on direct ext4 then you get a snapshot for /foo only.

Note You need to log in before you can comment on or make changes to this bug.